## org.apache.lucene.analysis.no
Class NorwegianAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.lucene.analysis.util.StopwordAnalyzerBase
              org.apache.lucene.analysis.no.NorwegianAnalyzer

All Implemented Interfaces:
  Closeable

    public final class NorwegianAnalyzer

extends StopwordAnalyzerBase

`Analyzer` for Norwegian.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer
`Analyzer.GlobalReuseStrategy, Analyzer.PerFieldReuseStrategy, Analyzer.ReuseStrategy, Analyzer.TokenStreamComponents`

Field Summary
`static String` `DEFAULT_STOPWORD_FILE` File containing default Norwegian stopwords.

Fields inherited from class org.apache.lucene.analysis.util.StopwordAnalyzerBase
`matchVersion, stopwords`

Constructor Summary
`NorwegianAnalyzer(Version matchVersion)` Builds an analyzer with the default stop words: `DEFAULT_STOPWORD_FILE`.
`NorwegianAnalyzer(Version matchVersion, CharArraySet stopwords)` Builds an analyzer with the given stop words.
`NorwegianAnalyzer(Version matchVersion, CharArraySet stopwords, CharArraySet stemExclusionSet)` Builds an analyzer with the given stop words.

Method Summary
`protected Analyzer.TokenStreamComponents` `createComponents(String fieldName, Reader reader)` Creates a `Analyzer.TokenStreamComponents` which tokenizes all the text in the provided `Reader`.
`static CharArraySet` `getDefaultStopSet()` Returns an unmodifiable instance of the default stop words set.

Methods inherited from class org.apache.lucene.analysis.util.StopwordAnalyzerBase
`getStopwordSet, loadStopwordSet, loadStopwordSet, loadStopwordSet`

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getOffsetGap, getPositionIncrementGap, initReader, tokenStream, tokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_STOPWORD_FILE

    public static final String DEFAULT_STOPWORD_FILE

  File containing default Norwegian stopwords.

  See Also:
    Constant Field Values

Constructor Detail

### NorwegianAnalyzer

    public NorwegianAnalyzer(Version matchVersion)

  Builds an analyzer with the default stop words: `DEFAULT_STOPWORD_FILE`.

### NorwegianAnalyzer

    public NorwegianAnalyzer(Version matchVersion,
                             CharArraySet stopwords)

  Builds an analyzer with the given stop words.

  Parameters:
    `matchVersion` - lucene compatibility version
    `stopwords` - a stopword set

### NorwegianAnalyzer

    public NorwegianAnalyzer(Version matchVersion,
                             CharArraySet stopwords,
                             CharArraySet stemExclusionSet)

  Builds an analyzer with the given stop words. If a non-empty stem exclusion set is provided this analyzer will add a `SetKeywordMarkerFilter` before stemming.

  Parameters:
    `matchVersion` - lucene compatibility version
    `stopwords` - a stopword set
    `stemExclusionSet` - a set of terms not to be stemmed

Method Detail

### getDefaultStopSet

    public static CharArraySet getDefaultStopSet()

  Returns an unmodifiable instance of the default stop words set.

  Returns:
    default stop words set.

### createComponents

    protected Analyzer.TokenStreamComponents createComponents(String fieldName,
                                                              Reader reader)

  Creates a `Analyzer.TokenStreamComponents` which tokenizes all the text in the provided `Reader`.

  Specified by:
    `createComponents` in class `Analyzer`
  Returns:
    A `Analyzer.TokenStreamComponents` built from an `StandardTokenizer` filtered with `StandardFilter`, `LowerCaseFilter`, `StopFilter` , `SetKeywordMarkerFilter` if a stem exclusion set is provided and `SnowballFilter`.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.